package dev.svitan.plugins

import dev.svitan.routes.routeAction
import dev.svitan.routes.routeAuth
import io.ktor.server.application.*
import io.ktor.server.plugins.requestvalidation.*
import io.ktor.server.response.*
import io.ktor.server.routing.*

fun Application.configureRouting() {
    install(RequestValidation) {
        validate<String> { bodyText ->
            if (!bodyText.startsWith("Hello"))
                ValidationResult.Invalid("Body text should start with 'Hello'")
            else ValidationResult.Valid
        }
    }

    routing {
        get("/") {
            call.respond("Hello World!")
        }

        get("/health") {
            call.respond("OK")
        }
    }

    routeAuth()
    routeAction()
}
