package dev.svitan.plugins

import io.github.cdimascio.dotenv.Dotenv
import io.ktor.server.application.*
import io.ktor.server.auth.*

fun Application.configureSecurity(dotenv: Dotenv) {
    val apiKey = dotenv["API_KEY"] ?: throw Exception("API_KEY not found")

    authentication {
        basic {
            realm = "ktor"
            validate { credentials ->
                if (credentials.name == "admin" && credentials.password == apiKey) {
                    UserIdPrincipal(credentials.name)
                } else {
                    null
                }
            }
        }
    }
}
